var AMTreeNav = AMNav.extend({

   defaults: {
      'bSelectDevice': true // Select the Device in SAL when the device is selected in the tree.
   },

   initialize: function() {
      AMNav.prototype.initialize.call(this);
      this.getOperations();
      this.getDevices();
   },
   
   // Called by AVTreeNav.refresh().
   refresh: function() {
      this.getDevices(true);
   },

   getDevices: function(bFetch) {
      // To overload.
   },

   getOperations: function() {
      // To overload.
   }
});