var VSSDsTreeActions = AVTreeActions.extend({
   
   drawNav: function(oNavDiv) {
      var oMNav = new MSSDsNav({
         'oReport': this.model.get("oReport"),
         //'sDeviceID': this.model.get("sDeviceID"), 
         //'oDevice': this.model.get("oDevice"),
         'sSelectedTab': this.model.get("sTab"),
         'oDevices': this.model.get("oDevices"),
         'oControllerIDs': this.model.get("oControllerIDs")
      });
      this.oVNav = new VSSDsNav({ el: oNavDiv, model: oMNav });
   },

   drawTab: function(oBodyDiv) {
      var oModel = new MSSDsTab({
         'sDeviceID': this.model.get('sDeviceID'),
         'oDevices': this.model.get('oDevices'),
         'oControllerIDs': this.model.get('oControllerIDs'),
         'oDeviceParentIDs': this.model.get('oDeviceParentIDs')
      });
      this.oVTab = new VSSDsTab({ 
         el: this.loadTab("SSDsTab"), 
         model: oModel
      });
   },

   onBackClick: function(e) {
      this.selectChild('overview');
      return false;
   }
   
});