var MSSDSTabLink = AMTabLink.extend({

   initialize: function(){
   },
   
   refresh: function() {
      this.update(true); // Fetch device update from server.
   },
   
   update: function(bFetch){
      this.updateTab();
   },
   
   updateTab: function(){
      var sIcon = "ICON_ARRAYS";
      var sName = "STR_SOLID_STATE_DEVICES";
      var sType = "TypeSolidStateDevice";
      ClearDeviceSelection();
      var oChildren = EnumerateDevices(sType);
      var nCount = 0;
      if (IsDefined(oChildren))
      {
         nCount = oChildren.devices.length;
      }
      var sDescription;
      if (nCount == 1)
      {
         sDescription = "STR_1_SSD";
      }
      else
      {
         sDescription = "STR_SSD_COUNT|" + nCount;
      }
      sDescription = TranslateString(sDescription);
      this.set({
         'sIcon':sIcon,
         'sName':sName,
         'nCount':nCount,
         'sType':sType,
         'sDescription':sDescription,
         'bUpdated':true
      });
   }
});